__gnu_pbds::detail::ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, true > Class Template Reference

Inherits Hash_Fn, and Comb_Hash_Fn.

## Protected Types

typedef Comb_Hash_Fn | comb_hash_fn_base
typedef std::pair< size_type, size_type > | comp_hash
typedef Hash_Fn | hash_fn_base
typedef _Alloc::template rebind< Key >::other | key_allocator
typedef key_allocator::const_reference | key_const_reference
typedef _Alloc::size_type | size_type

## Protected Member Functions

| ranged_hash_fn (size_type)
| ranged_hash_fn (size_type, const Hash_Fn &)
| ranged_hash_fn (size_type, const Hash_Fn &, const Comb_Hash_Fn &)
void | notify_resized (size_type)
comp_hash | operator() (key_const_reference) const
comp_hash | operator() (key_const_reference, size_type) const
void | swap (ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, true > &)

## Detailed Description

### template<typename Key, typename Hash_Fn, typename _Alloc, typename Comb_Hash_Fn>
class __gnu_pbds::detail::ranged_hash_fn< Key, Hash_Fn, _Alloc, Comb_Hash_Fn, true >

Specialization 2 The client supplies a hash function and a ranged hash function, and requests that hash values be stored.

Definition at line 153 of file ranged_hash_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_hash_fn.hpp